ConnectionSMP (scheduler-portlet 2.2.0-SNAPSHOT API)
Date: 2015-11-05

org.gcube.datatransfer.portlets.user.server.workers

## Class ConnectionSMP

- java.lang.Object
- - org.gcube.datatransfer.portlets.user.server.workers.ConnectionSMP

-     public class ConnectionSMP
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `String` | `accessType`
    `int` | `autoId`
    `org.gcube.contentmanagement.blobstorage.service.IClient` | `client`
    `URLConnection` | `connection`
    `String` | `owner`
    `BufferedReader` | `rd`
    `String` | `rootPath`
    `StringBuilder` | `sb`
    `String` | `scope`
    `String` | `serviceClass`
    `String` | `serviceName`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConnectionSMP(String smServiceClassSource, String smServiceNameSource, String smOwnerSource, String smAccessTypeSource, String scope, String path)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `FolderDto` | `browse()`
    `void` | `deleteFolder(String pathToDelete)`
    `List<String>` | `getErrors()`
    `FolderDto` | `makeFolder(String name)`
    `void` | `printFolder(FolderDto folder, int indent)`
    `FolderDto` | `process()`
    `void` | `setErrors(List<String> errors)`
    `void` | `sleepFiveSec()`
    `void` | `storeNewFolder(String pathForNewFolder)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### autoId

          public int autoId

    - #### serviceClass

          public String serviceClass

    - #### serviceName

          public String serviceName

    - #### owner

          public String owner

    - #### accessType

          public String accessType

    - #### scope

          public String scope

    - #### client

          public org.gcube.contentmanagement.blobstorage.service.IClient client

    - #### rootPath

          public String rootPath

    - #### connection

          public URLConnection connection

    - #### rd

          public BufferedReader rd

    - #### sb

          public StringBuilder sb

  - ### Constructor Detail

    - #### ConnectionSMP

          public ConnectionSMP(String smServiceClassSource,
                       String smServiceNameSource,
                       String smOwnerSource,
                       String smAccessTypeSource,
                       String scope,
                       String path)

  - ### Method Detail

    - #### browse

          public FolderDto browse()

    - #### process

          public FolderDto process()

    - #### printFolder

          public void printFolder(FolderDto folder,
                         int indent)

    - #### makeFolder

          public FolderDto makeFolder(String name)

    - #### getErrors

          public List<String> getErrors()

    - #### setErrors

          public void setErrors(List<String> errors)

    - #### storeNewFolder

          public void storeNewFolder(String pathForNewFolder)

    - #### deleteFolder

          public void deleteFolder(String pathToDelete)

    - #### sleepFiveSec

          public void sleepFiveSec()

Copyright © 2015. All Rights Reserved.